Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 235351 - gdmgreeter crashes with non-utf8 users
Summary: gdmgreeter crashes with non-utf8 users
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gdm
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC7Target
TreeView+ depends on / blocked
 
Reported: 2007-04-05 11:08 UTC by Oskari Saarenmaa
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-05 15:42:17 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 426647 None None None Never

Description Oskari Saarenmaa 2007-04-05 11:08:35 UTC
Description of problem:
If there is a user on the system with a non-utf8-encoded real name, gdmgreeter
crashes.  I have users on my systems with latin1 ä and ö characters in their names.

Version-Release number of selected component (if applicable):
gdm-2.18.0-7.fc7

How reproducible:
always

Steps to Reproduce:
1. useradd -c $(echo "Test\xf6") test
2. launch gdm
  
Actual results:
"The greeter application appears to be crashing.."

Expected results:
gdm works, and guesses the username encoding or replaces non-utf8 characters
with questionmarks or something else.

Comment 1 Ray Strode [halfline] 2007-04-05 13:22:44 UTC
Definitely a bug that should get fixed.  Proposing for FC7Target.

On the other hand, you might want to convert your usernames to be utf8.

You can do this with the /usr/bin/iconv file on your passwd shadow and group files.

Comment 2 Ray Strode [halfline] 2007-04-05 15:42:17 UTC
This is only with themes that have the face browser, yea?

If so, should be fixed in tomorrow's rawhide.  Please reopen, if
gdm-2.18.0-8.fc7 doesn't fix your problem.

Comment 3 Ray Strode [halfline] 2007-04-06 19:27:14 UTC
Note there is a similar bug with system-config-users that I've filed as bug 235533


Note You need to log in before you can comment on or make changes to this bug.